Container Registries
Generated on 18 Mar 2026
https://api.paperspace.com/v1
Endpoints
GET List container registries
/container-registries
Authorizations:
BearerAuth
An API key or access token
Lists container registries for the current team.
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descRequest: /container-registries
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/container-registries"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
dtCreated
required
The date the container registry was created
dtModified
required
The date the container registry was last modified
id
required
The id of the container registry.
kind
required
The kind of container registry
name
required
The name of the container registry.
namespace
required
The namespace of the container registry. See https://docs.digitalocean.com/products/container-registry/.
url
required
The URL of the container registry. See https://docs.digitalocean.com/products/container-registry/.
username
required
A username for the container registry. See https://docs.digitalocean.com/products/container-registry/.
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"kind": "other",
"name": "string",
"namespace": "string",
"url": "string",
"username": "string"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}POST Create a container registry
/container-registries
Authorizations:
BearerAuth
An API key or access token
Creates a container registry for the current team.
Request Body: application/json
kind
optional
The kind of provider the registry is. If provided, the registry will be validated against the provider's rules.
name
required
The name of the container registry.
namespace
required
The namespace of the container registry. See https://docs.digitalocean.com/products/container-registry/.
password
required
The password for the registry. See https://docs.digitalocean.com/products/container-registry/.
url
required
The URL of the container registry. See https://docs.digitalocean.com/products/container-registry/.
username
required
A username for the container registry. See https://docs.digitalocean.com/products/container-registry/.
Request: /container-registries
{
"kind": "other",
"name": "string",
"namespace": "string",
"password": "string",
"url": "string",
"username": "string"
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"kind": "other",
"name": "string",
"namespace": "string",
"password": "string",
"url": "string",
"username": "string"
}' \
"https://api.paperspace.com/v1/container-registries"Responses
200
Successful response
application/json
dtCreated
required
The date the container registry was created
dtModified
required
The date the container registry was last modified
id
required
The id of the container registry.
kind
required
The kind of container registry
name
required
The name of the container registry.
namespace
required
The namespace of the container registry. See https://docs.digitalocean.com/products/container-registry/.
url
required
The URL of the container registry. See https://docs.digitalocean.com/products/container-registry/.
username
required
A username for the container registry. See https://docs.digitalocean.com/products/container-registry/.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"kind": "other",
"name": "string",
"namespace": "string",
"url": "string",
"username": "string"
}{
"code": "string",
"message": "string"
}GET List container registries
/container-registries/{id}
Authorizations:
BearerAuth
An API key or access token
Lists container registries for the current team.
Path Parameters
id
required
The id of the container registry.
Request: /container-registries/{id}
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/container-registries/{id}"Responses
200
Successful response
application/json
dtCreated
required
The date the container registry was created
dtModified
required
The date the container registry was last modified
id
required
The id of the container registry.
kind
required
The kind of container registry
name
required
The name of the container registry.
namespace
required
The namespace of the container registry. See https://docs.digitalocean.com/products/container-registry/.
url
required
The URL of the container registry. See https://docs.digitalocean.com/products/container-registry/.
username
required
A username for the container registry. See https://docs.digitalocean.com/products/container-registry/.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"kind": "other",
"name": "string",
"namespace": "string",
"url": "string",
"username": "string"
}{
"code": "string",
"message": "string"
}PUT Update a container registry
/container-registries/{id}
Authorizations:
BearerAuth
An API key or access token
Updates a container registry for the current team.
Path Parameters
id
required
The id of the container registry.
Request Body: application/json
kind
optional
The kind of provider the registry is. If provided, the registry will be validated against the provider's rules.
name
optional
The name of the container registry.
namespace
optional
The namespace of the container registry. See https://docs.digitalocean.com/products/container-registry/.
password
optional
An updated password for the registry. See https://docs.digitalocean.com/products/container-registry/.
url
optional
The URL of the container registry. See https://docs.digitalocean.com/products/container-registry/.
username
optional
A username for the container registry. See https://docs.digitalocean.com/products/container-registry/.
Request: /container-registries/{id}
{
"kind": "other",
"name": "string",
"namespace": "string",
"password": "string",
"url": "string",
"username": "string"
}curl -X PUT \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"kind": "other",
"name": "string",
"namespace": "string",
"password": "string",
"url": "string",
"username": "string"
}' \
"https://api.paperspace.com/v1/container-registries/{id}"Responses
200
Successful response
application/json
dtCreated
required
The date the container registry was created
dtModified
required
The date the container registry was last modified
id
required
The id of the container registry.
kind
required
The kind of container registry
name
required
The name of the container registry.
namespace
required
The namespace of the container registry. See https://docs.digitalocean.com/products/container-registry/.
url
required
The URL of the container registry. See https://docs.digitalocean.com/products/container-registry/.
username
required
A username for the container registry. See https://docs.digitalocean.com/products/container-registry/.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"kind": "other",
"name": "string",
"namespace": "string",
"url": "string",
"username": "string"
}{
"code": "string",
"message": "string"
}DELETE Delete a container registry
/container-registries/{id}
Authorizations:
BearerAuth
An API key or access token
Deletes a container registry for the current team.
Path Parameters
id
required
The id of the container registry.
Request: /container-registries/{id}
curl -X DELETE \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/container-registries/{id}"Responses
200
Successful response
application/json
dtCreated
required
The date the container registry was created
dtModified
required
The date the container registry was last modified
id
required
The id of the container registry.
kind
required
The kind of container registry
name
required
The name of the container registry.
namespace
required
The namespace of the container registry. See https://docs.digitalocean.com/products/container-registry/.
url
required
The URL of the container registry. See https://docs.digitalocean.com/products/container-registry/.
username
required
A username for the container registry. See https://docs.digitalocean.com/products/container-registry/.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"kind": "other",
"name": "string",
"namespace": "string",
"url": "string",
"username": "string"
}{
"code": "string",
"message": "string"
}GET Test a container registry connection
/container-registries/{id}/test-connection
Authorizations:
BearerAuth
An API key or access token
Validate that a container registry can be connected to using the provided credentials.
Path Parameters
id
required
The id of the container registry.
Request: /container-registries/{id}/test-connection
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/container-registries/{id}/test-connection"Responses
200
Successful response
application/json
error
optional
The error message, if any
success
required
Whether the connection was successful
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"error": "string",
"success": true
}{
"code": "string",
"message": "string"
}